% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/opsworkscm_operations.R
\name{opsworkscm_start_maintenance}
\alias{opsworkscm_start_maintenance}
\title{Manually starts server maintenance}
\usage{
opsworkscm_start_maintenance(ServerName, EngineAttributes)
}
\arguments{
\item{ServerName}{[required] The name of the server on which to run maintenance.}

\item{EngineAttributes}{Engine attributes that are specific to the server on which you want to
run maintenance.}
}
\description{
Manually starts server maintenance. This command can be useful if an
earlier maintenance attempt failed, and the underlying cause of
maintenance failure has been resolved. The server is in an
\code{UNDER_MAINTENANCE} state while maintenance is in progress.
}
\details{
Maintenance can only be started on servers in \code{HEALTHY} and \code{UNHEALTHY}
states. Otherwise, an \code{InvalidStateException} is thrown. A
\code{ResourceNotFoundException} is thrown when the server does not exist. A
\code{ValidationException} is raised when parameters of the request are not
valid.
}
\section{Request syntax}{
\preformatted{svc$start_maintenance(
  ServerName = "string",
  EngineAttributes = list(
    list(
      Name = "string",
      Value = "string"
    )
  )
)
}
}

\keyword{internal}
