% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/servicecatalog_operations.R
\name{servicecatalog_disassociate_service_action_from_provisioning_artifact}
\alias{servicecatalog_disassociate_service_action_from_provisioning_artifact}
\title{Disassociates the specified self-service action association from the
specified provisioning artifact}
\usage{
servicecatalog_disassociate_service_action_from_provisioning_artifact(
  ProductId, ProvisioningArtifactId, ServiceActionId, AcceptLanguage)
}
\arguments{
\item{ProductId}{[required] The product identifier. For example, \code{prod-abcdzk7xy33qa}.}

\item{ProvisioningArtifactId}{[required] The identifier of the provisioning artifact. For example,
\code{pa-4abcdjnxjj6ne}.}

\item{ServiceActionId}{[required] The self-service action identifier. For example, \code{act-fs7abcd89wxyz}.}

\item{AcceptLanguage}{The language code.
\itemize{
\item \code{en} - English (default)
\item \code{jp} - Japanese
\item \code{zh} - Chinese
}}
}
\description{
Disassociates the specified self-service action association from the
specified provisioning artifact.
}
\section{Request syntax}{
\preformatted{svc$disassociate_service_action_from_provisioning_artifact(
  ProductId = "string",
  ProvisioningArtifactId = "string",
  ServiceActionId = "string",
  AcceptLanguage = "string"
)
}
}

\keyword{internal}
