% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ssm_operations.R
\name{ssm_remove_tags_from_resource}
\alias{ssm_remove_tags_from_resource}
\title{Removes all tags from the specified resource}
\usage{
ssm_remove_tags_from_resource(ResourceType, ResourceId, TagKeys)
}
\arguments{
\item{ResourceType}{[required] The type of resource of which you want to remove a tag.

The ManagedInstance type for this API action is only for on-premises
managed instances. You must specify the name of the managed instance in
the following format: mi-ID\_number. For example, mi-1a2b3c4d5e6f.}

\item{ResourceId}{[required] The resource ID for which you want to remove tags. Use the ID of the
resource. Here are some examples:

ManagedInstance: mi-012345abcde

MaintenanceWindow: mw-012345abcde

PatchBaseline: pb-012345abcde

For the Document and Parameter values, use the name of the resource.

The ManagedInstance type for this API action is only for on-premises
managed instances. You must specify the name of the managed instance in
the following format: mi-ID\_number. For example, mi-1a2b3c4d5e6f.}

\item{TagKeys}{[required] Tag keys that you want to remove from the specified resource.}
}
\description{
Removes all tags from the specified resource.
}
\section{Request syntax}{
\preformatted{svc$remove_tags_from_resource(
  ResourceType = "Document"|"ManagedInstance"|"MaintenanceWindow"|"Parameter"|"PatchBaseline"|"OpsItem",
  ResourceId = "string",
  TagKeys = list(
    "string"
  )
)
}
}

\keyword{internal}
